| Package | Description |
|---|---|
| com.google.api.services.bigquery.model |
| Modifier and Type | Method and Description |
|---|---|
JobStatistics2 |
JobStatistics2.clone() |
JobStatistics2 |
JobStatistics.getQuery()
[Output-only] Statistics for a query job.
|
JobStatistics2 |
JobStatistics2.set(String fieldName,
Object value) |
JobStatistics2 |
JobStatistics2.setBillingTier(Integer billingTier)
[Output-only] Billing tier for the job.
|
JobStatistics2 |
JobStatistics2.setCacheHit(Boolean cacheHit)
[Output-only] Whether the query result was fetched from the query cache.
|
JobStatistics2 |
JobStatistics2.setDdlOperationPerformed(String ddlOperationPerformed)
The DDL operation performed, possibly dependent on the pre-existence of the DDL target.
|
JobStatistics2 |
JobStatistics2.setDdlTargetTable(TableReference ddlTargetTable)
The DDL target table.
|
JobStatistics2 |
JobStatistics2.setEstimatedBytesProcessed(Long estimatedBytesProcessed)
[Output-only] The original estimate of bytes processed for the job.
|
JobStatistics2 |
JobStatistics2.setModelTraining(BigQueryModelTraining modelTraining)
[Output-only, Beta] Information about create model query job progress.
|
JobStatistics2 |
JobStatistics2.setModelTrainingCurrentIteration(Integer modelTrainingCurrentIteration)
[Output-only, Beta] Deprecated; do not use.
|
JobStatistics2 |
JobStatistics2.setModelTrainingExpectedTotalIteration(Long modelTrainingExpectedTotalIteration)
[Output-only, Beta] Deprecated; do not use.
|
JobStatistics2 |
JobStatistics2.setNumDmlAffectedRows(Long numDmlAffectedRows)
[Output-only] The number of rows affected by a DML statement.
|
JobStatistics2 |
JobStatistics2.setQueryPlan(List<ExplainQueryStage> queryPlan)
[Output-only] Describes execution plan for the query.
|
JobStatistics2 |
JobStatistics2.setReferencedTables(List<TableReference> referencedTables)
[Output-only] Referenced tables for the job.
|
JobStatistics2 |
JobStatistics2.setReservationUsage(List<JobStatistics2.ReservationUsage> reservationUsage)
[Output-only] Job resource usage breakdown by reservation.
|
JobStatistics2 |
JobStatistics2.setSchema(TableSchema schema)
[Output-only] The schema of the results.
|
JobStatistics2 |
JobStatistics2.setStatementType(String statementType)
The type of query statement, if valid.
|
JobStatistics2 |
JobStatistics2.setTimeline(List<QueryTimelineSample> timeline)
[Output-only] [Beta] Describes a timeline of job execution.
|
JobStatistics2 |
JobStatistics2.setTotalBytesBilled(Long totalBytesBilled)
[Output-only] Total bytes billed for the job.
|
JobStatistics2 |
JobStatistics2.setTotalBytesProcessed(Long totalBytesProcessed)
[Output-only] Total bytes processed for the job.
|
JobStatistics2 |
JobStatistics2.setTotalPartitionsProcessed(Long totalPartitionsProcessed)
[Output-only] Total number of partitions processed from all partitioned tables referenced in
the job.
|
JobStatistics2 |
JobStatistics2.setTotalSlotMs(Long totalSlotMs)
[Output-only] Slot-milliseconds for the job.
|
JobStatistics2 |
JobStatistics2.setUndeclaredQueryParameters(List<QueryParameter> undeclaredQueryParameters)
Standard SQL only: list of undeclared query parameters detected during a dry run validation.
|
| Modifier and Type | Method and Description |
|---|---|
JobStatistics |
JobStatistics.setQuery(JobStatistics2 query)
[Output-only] Statistics for a query job.
|
Copyright © 2011–2018 Google. All rights reserved.